@Library("ectrl-shared-libs")
import static ectrl.vars.GlobalVars.*
setenv(this, env.JOB_BASE_NAME)

pipeline {
    agent {
        label 'lxplus'
    }
    options {
        timeout(time: 6, unit: 'HOURS')
    }
    stages {

        stage('eop-mon') {
            steps {
                dir("workflows/eop") {
                    automationApptainerStep """
                # the following line is supposed to execute/submit the jobs
                # resubmit
                python3 runeop.py --notify=$notify_url --campaign \$CAMPAIGN --db $dbinstance --wdir \$CMSSW_BASE resubmit --outdir $eospath/eop --cfg monitoring.cfg
                # submit
                python3 runeop.py --notify=$notify_url --campaign \$CAMPAIGN --db $dbinstance --wdir \$CMSSW_BASE submit --outdir $eospath/eop --cfg monitoring.cfg
                # check
                python3 runeop.py --notify=$notify_url --campaign \$CAMPAIGN --db $dbinstance --wdir \$CMSSW_BASE check --max-retries 3 --skipped-delay 21
                """
                }
            }
        }
        stage('eop-cml') {
            steps {
                dir("workflows/eop") {
                    automationApptainerStep """
                # the following line is supposed to execute/submit the jobs
                # resubmit
                python3 runeop-cml.py --notify=$notify_url --campaign \$CAMPAIGN --db $dbinstance --wdir \$CMSSW_BASE resubmit --plotsdir $eosplots/eop --plotsurl $plotsurl/eop
                # submit
                python3 runeop-cml.py --notify=$notify_url --campaign \$CAMPAIGN --db $dbinstance --wdir \$CMSSW_BASE submit --plotsdir $eosplots/eop --plotsurl $plotsurl/eop
                # check
                python3 runeop-cml.py --notify=$notify_url --campaign \$CAMPAIGN --db $dbinstance --wdir \$CMSSW_BASE check --max-retries 3 --skipped-delay 21
                """
                }
            }
        }
    }
    post {
        unsuccessful {
            sendMattermostNotification "ERROR"
        }
    }
}
